Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.iconimages
Class PanelMenuIconSpacer

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.Java2Dresource
              org.richfaces.renderkit.html.iconimages.PanelMenuIconBasic
                  org.richfaces.renderkit.html.iconimages.PanelMenuIconSpacer

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

    public class PanelMenuIconSpacer

extends PanelMenuIconBasic

Field Summary

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`PanelMenuIconSpacer()`

Method Summary
`protected void` | `paintImage(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D g2d, java.awt.Color color)`

Methods inherited from class org.richfaces.renderkit.html.iconimages.PanelMenuIconBasic
`calculateDimensions, deserializeData, getDataToStore, getDimensions, getDimensions, isCacheable, paint`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`getImage, getResourceAsStream, send`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelMenuIconSpacer

    public PanelMenuIconSpacer()

Method Detail

### paintImage

    protected void paintImage(org.ajax4jsf.resource.ResourceContext context,
                              java.awt.Graphics2D g2d,
                              java.awt.Color color)

  Specified by:
    `paintImage` in class `PanelMenuIconBasic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.